
_RTCC_Init:

;RTCC_INTERNAL.c,6 :: 		void RTCC_Init(){
;RTCC_INTERNAL.c,9 :: 		movlb 0x0F
	MOVLB       15
;RTCC_INTERNAL.c,10 :: 		bcf INTCON, GIE
	BCF         INTCON+0, 7, 1
;RTCC_INTERNAL.c,11 :: 		movlw 0x55
	MOVLW       85
;RTCC_INTERNAL.c,12 :: 		movwf EECON2
	MOVWF       EECON2+0, 1
;RTCC_INTERNAL.c,13 :: 		movlw 0xAA
	MOVLW       170
;RTCC_INTERNAL.c,14 :: 		movwf EECON2
	MOVWF       EECON2+0, 1
;RTCC_INTERNAL.c,15 :: 		bsf RTCCFG,RTCWREN
	BSF         RTCCFG+0, 5, 1
;RTCC_INTERNAL.c,18 :: 		PADCFG1.RTSECSEL1 = 1;
	BSF         PADCFG1+0, 2 
;RTCC_INTERNAL.c,19 :: 		PADCFG1.RTSECSEL0 = 0;
	BCF         PADCFG1+0, 1 
;RTCC_INTERNAL.c,21 :: 		RTCCAL = 0x01;                                                               //see datasheet page n.230
	MOVLW       1
	MOVWF       RTCCAL+0 
;RTCC_INTERNAL.c,23 :: 		RTCCFG = 0x23;                                                               //set register for new data insertion
	MOVLW       35
	MOVWF       RTCCFG+0 
;RTCC_INTERNAL.c,24 :: 		RTCVALL = 0x22;                                                              //set year
	MOVLW       34
	MOVWF       RTCVALL+0 
;RTCC_INTERNAL.c,26 :: 		RTCCFG = 0x22;                                                               //set register for new data insertion
	MOVLW       34
	MOVWF       RTCCFG+0 
;RTCC_INTERNAL.c,27 :: 		RTCVALL = 0x17;                                                              //set day
	MOVLW       23
	MOVWF       RTCVALL+0 
;RTCC_INTERNAL.c,28 :: 		RTCVALH = 0x05;                                                              //set month
	MOVLW       5
	MOVWF       RTCVALH+0 
;RTCC_INTERNAL.c,29 :: 		RTCVALL = 0x20;                                                              //set hour
	MOVLW       32
	MOVWF       RTCVALL+0 
;RTCC_INTERNAL.c,30 :: 		RTCVALH = 0x02;                                                              //set weekday
	MOVLW       2
	MOVWF       RTCVALH+0 
;RTCC_INTERNAL.c,31 :: 		RTCVALL = 0x00;                                                              //set seconds
	CLRF        RTCVALL+0 
;RTCC_INTERNAL.c,32 :: 		RTCVALH = 0x34;                                                              //set minutes
	MOVLW       52
	MOVWF       RTCVALH+0 
;RTCC_INTERNAL.c,33 :: 		RTCCFG.RTCEN = 1;                                                            //RTCC run
	BSF         RTCCFG+0, 7 
;RTCC_INTERNAL.c,34 :: 		Delay08s();
	CALL        _Delay08s+0, 0
;RTCC_INTERNAL.c,37 :: 		movlb 0x0F
	MOVLB       15
;RTCC_INTERNAL.c,38 :: 		bcf INTCON, GIE
	BCF         INTCON+0, 7, 1
;RTCC_INTERNAL.c,39 :: 		movlw 0x55
	MOVLW       85
;RTCC_INTERNAL.c,40 :: 		movwf EECON2
	MOVWF       EECON2+0, 1
;RTCC_INTERNAL.c,41 :: 		movlw 0xAA
	MOVLW       170
;RTCC_INTERNAL.c,42 :: 		movwf EECON2
	MOVWF       EECON2+0, 1
;RTCC_INTERNAL.c,43 :: 		bcf RTCCFG,RTCWREN
	BCF         RTCCFG+0, 5, 1
;RTCC_INTERNAL.c,45 :: 		}
L_end_RTCC_Init:
	RETURN      0
; end of _RTCC_Init

_RTCC_Program:

;RTCC_INTERNAL.c,47 :: 		void RTCC_Program() {
;RTCC_INTERNAL.c,49 :: 		movlb 0x0F
	MOVLB       15
;RTCC_INTERNAL.c,50 :: 		bcf INTCON, GIE
	BCF         INTCON+0, 7, 1
;RTCC_INTERNAL.c,51 :: 		movlw 0x55
	MOVLW       85
;RTCC_INTERNAL.c,52 :: 		movwf EECON2
	MOVWF       EECON2+0, 1
;RTCC_INTERNAL.c,53 :: 		movlw 0xAA
	MOVLW       170
;RTCC_INTERNAL.c,54 :: 		movwf EECON2
	MOVWF       EECON2+0, 1
;RTCC_INTERNAL.c,55 :: 		bsf RTCCFG,RTCWREN
	BSF         RTCCFG+0, 5, 1
;RTCC_INTERNAL.c,58 :: 		PADCFG1.RTSECSEL1 = 1;
	BSF         PADCFG1+0, 2 
;RTCC_INTERNAL.c,59 :: 		PADCFG1.RTSECSEL0 = 0;
	BCF         PADCFG1+0, 1 
;RTCC_INTERNAL.c,61 :: 		RTCCAL = 0x01;                                                                 //see datasheet page n.230
	MOVLW       1
	MOVWF       RTCCAL+0 
;RTCC_INTERNAL.c,63 :: 		RTCCFG = 0x23;                                                                 //set register for new data insertion
	MOVLW       35
	MOVWF       RTCCFG+0 
;RTCC_INTERNAL.c,64 :: 		RTCVALL = SetYear;                                                             //set year
	MOVF        _SetYear+0, 0 
	MOVWF       RTCVALL+0 
;RTCC_INTERNAL.c,66 :: 		RTCCFG = 0x22;                                                                 //set register for new data insertion
	MOVLW       34
	MOVWF       RTCCFG+0 
;RTCC_INTERNAL.c,67 :: 		RTCVALL = SetDay;                                                              //set day
	MOVF        _SetDay+0, 0 
	MOVWF       RTCVALL+0 
;RTCC_INTERNAL.c,68 :: 		RTCVALH = SetMn;                                                               //set month
	MOVF        _SetMn+0, 0 
	MOVWF       RTCVALH+0 
;RTCC_INTERNAL.c,69 :: 		RTCVALL = SetHr;                                                               //set hour
	MOVF        _SetHr+0, 0 
	MOVWF       RTCVALL+0 
;RTCC_INTERNAL.c,70 :: 		RTCVALH = SetWeek;                                                             //set weekday
	MOVF        _SetWeek+0, 0 
	MOVWF       RTCVALH+0 
;RTCC_INTERNAL.c,71 :: 		RTCVALL = SetSec;                                                              //set seconds
	MOVF        _SetSec+0, 0 
	MOVWF       RTCVALL+0 
;RTCC_INTERNAL.c,72 :: 		RTCVALH = SetMin;                                                              //set minutes
	MOVF        _SetMin+0, 0 
	MOVWF       RTCVALH+0 
;RTCC_INTERNAL.c,73 :: 		RTCCFG.RTCEN = 1;                                                              //RTCC run
	BSF         RTCCFG+0, 7 
;RTCC_INTERNAL.c,74 :: 		Delay08s();
	CALL        _Delay08s+0, 0
;RTCC_INTERNAL.c,77 :: 		movlb 0x0F
	MOVLB       15
;RTCC_INTERNAL.c,78 :: 		bcf INTCON, GIE
	BCF         INTCON+0, 7, 1
;RTCC_INTERNAL.c,79 :: 		movlw 0x55
	MOVLW       85
;RTCC_INTERNAL.c,80 :: 		movwf EECON2
	MOVWF       EECON2+0, 1
;RTCC_INTERNAL.c,81 :: 		movlw 0xAA
	MOVLW       170
;RTCC_INTERNAL.c,82 :: 		movwf EECON2
	MOVWF       EECON2+0, 1
;RTCC_INTERNAL.c,83 :: 		bcf RTCCFG,RTCWREN
	BCF         RTCCFG+0, 5, 1
;RTCC_INTERNAL.c,86 :: 		RC1IE_bit = 1;                                                                 //enable interrupts for new uart command
	BSF         RC1IE_bit+0, BitPos(RC1IE_bit+0) 
;RTCC_INTERNAL.c,87 :: 		RC1IF_bit = 0;
	BCF         RC1IF_bit+0, BitPos(RC1IF_bit+0) 
;RTCC_INTERNAL.c,88 :: 		PEIE_bit  = 1;
	BSF         PEIE_bit+0, BitPos(PEIE_bit+0) 
;RTCC_INTERNAL.c,89 :: 		GIE_bit   = 1;
	BSF         GIE_bit+0, BitPos(GIE_bit+0) 
;RTCC_INTERNAL.c,90 :: 		}
L_end_RTCC_Program:
	RETURN      0
; end of _RTCC_Program

_Read_Internal_RTCC:

;RTCC_INTERNAL.c,92 :: 		void Read_Internal_RTCC() {
;RTCC_INTERNAL.c,94 :: 		RTCCFG = 0x03;                                                               //set register pointer for new read
	MOVLW       3
	MOVWF       RTCCFG+0 
;RTCC_INTERNAL.c,95 :: 		year = RTCVALL;                                                              //read year
	MOVF        RTCVALL+0, 0 
	MOVWF       _year+0 
	MOVLW       0
	MOVWF       _year+1 
;RTCC_INTERNAL.c,96 :: 		RTCCFG = 0x02;                                                               //set register pointer for new read
	MOVLW       2
	MOVWF       RTCCFG+0 
;RTCC_INTERNAL.c,97 :: 		day = RTCVALL;                                                               //read day
	MOVF        RTCVALL+0, 0 
	MOVWF       _day+0 
	MOVLW       0
	MOVWF       _day+1 
;RTCC_INTERNAL.c,98 :: 		month = RTCVALH;                                                             //read month
	MOVF        RTCVALH+0, 0 
	MOVWF       _month+0 
	MOVLW       0
	MOVWF       _month+1 
;RTCC_INTERNAL.c,99 :: 		RTCCFG = 0x1;                                                                //set pointer to for new read
	MOVLW       1
	MOVWF       RTCCFG+0 
;RTCC_INTERNAL.c,100 :: 		hours = RTCVALL;                                                             //read hours
	MOVF        RTCVALL+0, 0 
	MOVWF       _hours+0 
	MOVLW       0
	MOVWF       _hours+1 
;RTCC_INTERNAL.c,101 :: 		weekday = RTCVALH;                                                           //read weekday
	MOVF        RTCVALH+0, 0 
	MOVWF       _weekday+0 
	MOVLW       0
	MOVWF       _weekday+1 
;RTCC_INTERNAL.c,102 :: 		RTCCFG = 0x00;                                                               //set pointer to new read
	CLRF        RTCCFG+0 
;RTCC_INTERNAL.c,103 :: 		seconds = RTCVALL;                                                           //read seconds
	MOVF        RTCVALL+0, 0 
	MOVWF       _seconds+0 
	MOVLW       0
	MOVWF       _seconds+1 
;RTCC_INTERNAL.c,104 :: 		minutes = RTCVALH;                                                           //read minutes
	MOVF        RTCVALH+0, 0 
	MOVWF       _minutes+0 
	MOVLW       0
	MOVWF       _minutes+1 
;RTCC_INTERNAL.c,106 :: 		hours = (((hours & 0x30)   >> 4) * 10) + (hours & 0x0F);
	MOVLW       48
	ANDWF       _hours+0, 0 
	MOVWF       R3 
	MOVF        _hours+1, 0 
	MOVWF       R4 
	MOVLW       0
	ANDWF       R4, 1 
	MOVF        R3, 0 
	MOVWF       R0 
	MOVF        R4, 0 
	MOVWF       R1 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16X16_U+0, 0
	MOVLW       15
	ANDWF       _hours+0, 0 
	MOVWF       R2 
	MOVF        _hours+1, 0 
	MOVWF       R3 
	MOVLW       0
	ANDWF       R3, 1 
	MOVF        R2, 0 
	ADDWF       R0, 0 
	MOVWF       _hours+0 
	MOVF        R3, 0 
	ADDWFC      R1, 0 
	MOVWF       _hours+1 
;RTCC_INTERNAL.c,107 :: 		minutes = (((minutes & 0x70) >> 4) * 10) + (minutes & 0x0F);
	MOVLW       112
	ANDWF       _minutes+0, 0 
	MOVWF       R3 
	MOVF        _minutes+1, 0 
	MOVWF       R4 
	MOVLW       0
	ANDWF       R4, 1 
	MOVF        R3, 0 
	MOVWF       R0 
	MOVF        R4, 0 
	MOVWF       R1 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16X16_U+0, 0
	MOVLW       15
	ANDWF       _minutes+0, 0 
	MOVWF       R2 
	MOVF        _minutes+1, 0 
	MOVWF       R3 
	MOVLW       0
	ANDWF       R3, 1 
	MOVF        R2, 0 
	ADDWF       R0, 0 
	MOVWF       _minutes+0 
	MOVF        R3, 0 
	ADDWFC      R1, 0 
	MOVWF       _minutes+1 
;RTCC_INTERNAL.c,108 :: 		seconds = (((seconds & 0x70) >> 4) * 10) + (seconds & 0x0F);
	MOVLW       112
	ANDWF       _seconds+0, 0 
	MOVWF       R3 
	MOVF        _seconds+1, 0 
	MOVWF       R4 
	MOVLW       0
	ANDWF       R4, 1 
	MOVF        R3, 0 
	MOVWF       R0 
	MOVF        R4, 0 
	MOVWF       R1 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16X16_U+0, 0
	MOVLW       15
	ANDWF       _seconds+0, 0 
	MOVWF       R2 
	MOVF        _seconds+1, 0 
	MOVWF       R3 
	MOVLW       0
	ANDWF       R3, 1 
	MOVF        R2, 0 
	ADDWF       R0, 0 
	MOVWF       _seconds+0 
	MOVF        R3, 0 
	ADDWFC      R1, 0 
	MOVWF       _seconds+1 
;RTCC_INTERNAL.c,109 :: 		year = (((year & 0xF0)    >> 4) * 10) + (year & 0x0F);
	MOVLW       240
	ANDWF       _year+0, 0 
	MOVWF       R3 
	MOVF        _year+1, 0 
	MOVWF       R4 
	MOVLW       0
	ANDWF       R4, 1 
	MOVF        R3, 0 
	MOVWF       R0 
	MOVF        R4, 0 
	MOVWF       R1 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16X16_U+0, 0
	MOVLW       15
	ANDWF       _year+0, 0 
	MOVWF       R2 
	MOVF        _year+1, 0 
	MOVWF       R3 
	MOVLW       0
	ANDWF       R3, 1 
	MOVF        R2, 0 
	ADDWF       R0, 0 
	MOVWF       _year+0 
	MOVF        R3, 0 
	ADDWFC      R1, 0 
	MOVWF       _year+1 
;RTCC_INTERNAL.c,110 :: 		month = (((month & 0x10)   >> 4) * 10) + (month & 0x0F);
	MOVLW       16
	ANDWF       _month+0, 0 
	MOVWF       R3 
	MOVF        _month+1, 0 
	MOVWF       R4 
	MOVLW       0
	ANDWF       R4, 1 
	MOVF        R3, 0 
	MOVWF       R0 
	MOVF        R4, 0 
	MOVWF       R1 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16X16_U+0, 0
	MOVLW       15
	ANDWF       _month+0, 0 
	MOVWF       R2 
	MOVF        _month+1, 0 
	MOVWF       R3 
	MOVLW       0
	ANDWF       R3, 1 
	MOVF        R2, 0 
	ADDWF       R0, 0 
	MOVWF       _month+0 
	MOVF        R3, 0 
	ADDWFC      R1, 0 
	MOVWF       _month+1 
;RTCC_INTERNAL.c,111 :: 		day = (((day & 0x30)     >> 4) * 10) + (day & 0x0F);
	MOVLW       48
	ANDWF       _day+0, 0 
	MOVWF       R3 
	MOVF        _day+1, 0 
	MOVWF       R4 
	MOVLW       0
	ANDWF       R4, 1 
	MOVF        R3, 0 
	MOVWF       R0 
	MOVF        R4, 0 
	MOVWF       R1 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16X16_U+0, 0
	MOVLW       15
	ANDWF       _day+0, 0 
	MOVWF       R2 
	MOVF        _day+1, 0 
	MOVWF       R3 
	MOVLW       0
	ANDWF       R3, 1 
	MOVF        R2, 0 
	ADDWF       R0, 0 
	MOVWF       _day+0 
	MOVF        R3, 0 
	ADDWFC      R1, 0 
	MOVWF       _day+1 
;RTCC_INTERNAL.c,112 :: 		}
L_end_Read_Internal_RTCC:
	RETURN      0
; end of _Read_Internal_RTCC
