#line 1 "C:/Users/m.negri/Desktop/From/UartProgTest.c"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for pic/include/built_in.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for pic/include/stdint.h"




typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;



typedef signed char int_fast8_t;
typedef signed int int_fast16_t;
typedef signed long int int_fast32_t;


typedef unsigned char uint_fast8_t;
typedef unsigned int uint_fast16_t;
typedef unsigned long int uint_fast32_t;


typedef signed int intptr_t;
typedef unsigned int uintptr_t;


typedef signed long int intmax_t;
typedef unsigned long int uintmax_t;
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for pic/include/string.h"





void * memchr(void *p, char n, unsigned int v);
int memcmp(void *s1, void *s2, int n);
void * memcpy(void * d1, void * s1, int n);
void * memmove(void * to, void * from, int n);
void * memset(void * p1, char character, int n);
char * strcat(char * to, char * from);
char * strchr(char * ptr, char chr);
int strcmp(char * s1, char * s2);
char * strcpy(char * to, char * from);
int strlen(char * s);
char * strncat(char * to, char * from, int size);
char * strncpy(char * to, char * from, int size);
int strspn(char * str1, char * str2);
char strcspn(char * s1, char * s2);
int strncmp(char * s1, char * s2, char len);
char * strpbrk(char * s1, char * s2);
char * strrchr(char *ptr, char chr);
char * strstr(char * s1, char * s2);
char * strtok(char * s1, char * s2);
#line 1 "c:/users/m.negri/desktop/from/objects.h"
void StartupBeep();
void GeneralUseBeep();
void Tick();
void AlarmBeep();
void FlashLed();
void Delay10us();
void Delay50us();
void Delay100us();
void Delay10ms();
void Delay20ms();
void Delay30ms();
void Delay50ms();
void Delay01s();
void Delay02s();
void Delay05s();
void Delay075s();
void Delay08s();
void Delay1s();
void Delay2s();
void Delay3s();
void Delay4s();
void Delay5s();
void Delay10s();
void RTCC_Init();
void RTCC_Program();
void Read_Internal_RTCC();
#line 38 "C:/Users/m.negri/Desktop/From/UartProgTest.c"
char GLCD_DataPort at PORTD;

sbit GLCD_CS1 at LATB0_bit;
sbit GLCD_CS2 at LATB1_bit;
sbit GLCD_RS at LATB2_bit;
sbit GLCD_RW at LATB3_bit;
sbit GLCD_EN at LATB4_bit;
sbit GLCD_RST at LATB5_bit;

sbit GLCD_CS1_Direction at TRISB0_bit;
sbit GLCD_CS2_Direction at TRISB1_bit;
sbit GLCD_RS_Direction at TRISB2_bit;
sbit GLCD_RW_Direction at TRISB3_bit;
sbit GLCD_EN_Direction at TRISB4_bit;
sbit GLCD_RST_Direction at TRISB5_bit;

sbit LED_SYS at LATJ3_bit;
sbit LED_SYS_Direction at TRISJ3_bit;

sbit LED1_UART at LATJ2_bit;
sbit LED1_UART_Direction at TRISJ2_bit;

sbit LED2_UART at LATJ1_bit;
sbit LED2_UART_Direction at TRISJ1_bit;

int Txt[14] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 };
char I,Ready,TempTime;
unsigned long Res;
unsigned int year,day,month,weekday,hours,seconds,minutes,secondsOld;
char SetSec,SetMin,SetHr,SetWeek,SetDay,SetMn,SetYear;
char TXT0[10],TXT1[10],TXT2[10],TXT3[10],TXT4[10],TXT5[10];
char TXT7[10],TXT8[10],TXT9[10],TXT10[10],TXT11[10];
char *TXT6;

void FlashLed() {
 LED_SYS = ~(LED_SYS);
 Delay01s();
}

void interrupt() {
 if (RCIF_bit == 1) {
 Txt[I] = UART1_Read();
 I++;

 if (I == 14) {
 I = 0;
 Ready = 1;
 }

 RCIF_bit = 0;
 }
}

void Zero_Fill(char *value) {
 if (value[1] == 0) {
 value[1] = value[0];
 value[0] = 48;
 value[2] = 0;
 }
}

void VisualTime() {
 ByteToStr(hours,TXT0);
 Ltrim(TXT0);
 Zero_Fill(TXT0);

 ByteToStr(minutes,TXT1);
 Ltrim(TXT1);
 Zero_Fill(TXT1);

 ByteToStr(seconds,TXT2);
 Ltrim(TXT2);
 Zero_Fill(TXT2);

 ByteToStr(Day,TXT3);
 Ltrim(TXT3);
 Zero_Fill(TXT3);

 ByteToStr(Month,TXT4);
 Ltrim(TXT4);
 Zero_Fill(TXT4);

 ByteToStr(Year,TXT5);
 Ltrim(TXT5);
 Zero_Fill(TXT5);

 Glcd_Write_Text(TXT0,0,2,1);
 Glcd_Write_Text(":",12,2,1);
 Glcd_Write_Text(TXT1,19,2,1);
 Glcd_Write_Text(":",32,2,1);
 Glcd_Write_Text(TXT2,38,2,1);

 Glcd_Write_Text(TXT3,0,3,1);
 Glcd_Write_Text("/",12,3,1);
 Glcd_Write_Text(TXT4,19,3,1);
 Glcd_Write_Text("/",32,3,1);
 Glcd_Write_Text(TXT5,38,3,1);

 switch (weekday) {
 case 0:
 TXT6 = "Sunday";
 break;

 case 1:
 TXT6 = "Monday";
 break;

 case 2:
 TXT6 = "Tuesday";
 break;

 case 3:
 TXT6 = "Wednesday";
 break;

 case 4:
 TXT6 = "Thursday";
 break;

 case 5:
 TXT6 = "Friday";
 break;

 case 6:
 TXT6 = "Saturday";
 break;
 }

 Glcd_Write_Text(TXT6,0,4,1);
}

void main() {
 ANCON0 = 0;
 ANCON1 = 0;
 ANCON2 = 0;
 CM1CON = 0;
 CM2CON = 0;
 CM3CON = 0;
 LED_SYS_Direction = 0;
 LED1_UART_Direction = 0;
 LED2_UART_Direction = 0;

 LED1_UART = 0;
 LED2_UART = 0;
 LED_SYS = 0;



 Glcd_Init();
 Glcd_Fill(0x00);
 Glcd_Write_Text("18F87K22-INSIDE-RTCC:",0,0,1);
 Glcd_H_Line(0,127,11,1);
 Glcd_H_Line(0,127,45,1);
 Glcd_Write_Text("www.teolab.it",20,6,1);

 UART1_Init(9600);
 Delay01s();
 I = 0;

 RC1IE_bit = 1;
 RC1IF_bit = 0;
 PEIE_bit = 1;
 GIE_bit = 1;

 while (1) {
 FlashLed();
 Read_Internal_RTCC();
 VisualTime();

 if (Ready == 1) {
 UART1_Write(Txt[0]);
 UART1_Write(Txt[1]);
 UART1_Write(Txt[2]);
 UART1_Write(Txt[3]);
 UART1_Write(Txt[4]);
 UART1_Write(Txt[5]);
 UART1_Write(Txt[6]);

 UART1_Write(Txt[7]);
 UART1_Write(Txt[8]);
 UART1_Write(Txt[9]);
 UART1_Write(Txt[10]);
 UART1_Write(Txt[11]);
 UART1_Write(Txt[12]);
 UART1_Write(Txt[13]);

 if (Txt[0] == 'H') {
 LED1_UART = 1;
 Delay01s();
 LED1_UART = 0;

 TempTime = ((Txt[1] - 48) * 10) + (Txt[2] - 48);
 SetHr = dec2bcd(TempTime);

 TempTime = ((Txt[3] - 48) * 10) + (Txt[4] - 48);
 SetMin = dec2bcd(TempTime);

 TempTime = ((Txt[5] - 48) * 10) + (Txt[6] - 48);
 SetSec = dec2bcd(TempTime);

 TempTime = (Txt[7] - 48);
 SetWeek = dec2bcd(TempTime);

 TempTime = ((Txt[8] - 48) * 10) + (Txt[9] - 48);
 SetDay = dec2bcd(TempTime);

 TempTime = ((Txt[10] - 48) * 10) + (Txt[11] - 48);
 SetMn = dec2bcd(TempTime);

 TempTime = ((Txt[12] - 48) * 10) + (Txt[13] - 48);
 SetYear = dec2bcd(TempTime);

 RTCC_Program();
 }

 Ready = 0;
 }
 }
}
