#line 1 "C:/Users/m.negri/Desktop/From/RTCC_INTERNAL.c"
#line 1 "c:/users/m.negri/desktop/from/objects.h"
void StartupBeep();
void GeneralUseBeep();
void Tick();
void AlarmBeep();
void FlashLed();
void Delay10us();
void Delay50us();
void Delay100us();
void Delay10ms();
void Delay20ms();
void Delay30ms();
void Delay50ms();
void Delay01s();
void Delay02s();
void Delay05s();
void Delay075s();
void Delay08s();
void Delay1s();
void Delay2s();
void Delay3s();
void Delay4s();
void Delay5s();
void Delay10s();
void RTCC_Init();
void RTCC_Program();
void Read_Internal_RTCC();
#line 3 "C:/Users/m.negri/Desktop/From/RTCC_INTERNAL.c"
extern unsigned int year,day,month,weekday,hours,seconds,minutes;
extern char SetSec,SetMin,SetHr,SetWeek,SetDay,SetMn,SetYear;

void RTCC_Init(){

 asm{
 movlb 0x0F
 bcf INTCON, GIE
 movlw 0x55
 movwf EECON2
 movlw 0xAA
 movwf EECON2
 bsf RTCCFG,RTCWREN
 }

 PADCFG1.RTSECSEL1 = 1;
 PADCFG1.RTSECSEL0 = 0;

 RTCCAL = 0x01;

 RTCCFG = 0x23;
 RTCVALL = 0x22;

 RTCCFG = 0x22;
 RTCVALL = 0x17;
 RTCVALH = 0x05;
 RTCVALL = 0x20;
 RTCVALH = 0x02;
 RTCVALL = 0x00;
 RTCVALH = 0x34;
 RTCCFG.RTCEN = 1;
 Delay08s();

 asm{
 movlb 0x0F
 bcf INTCON, GIE
 movlw 0x55
 movwf EECON2
 movlw 0xAA
 movwf EECON2
 bcf RTCCFG,RTCWREN
 }
}

void RTCC_Program() {
 asm{
 movlb 0x0F
 bcf INTCON, GIE
 movlw 0x55
 movwf EECON2
 movlw 0xAA
 movwf EECON2
 bsf RTCCFG,RTCWREN
 }

 PADCFG1.RTSECSEL1 = 1;
 PADCFG1.RTSECSEL0 = 0;

 RTCCAL = 0x01;

 RTCCFG = 0x23;
 RTCVALL = SetYear;

 RTCCFG = 0x22;
 RTCVALL = SetDay;
 RTCVALH = SetMn;
 RTCVALL = SetHr;
 RTCVALH = SetWeek;
 RTCVALL = SetSec;
 RTCVALH = SetMin;
 RTCCFG.RTCEN = 1;
 Delay08s();

 asm{
 movlb 0x0F
 bcf INTCON, GIE
 movlw 0x55
 movwf EECON2
 movlw 0xAA
 movwf EECON2
 bcf RTCCFG,RTCWREN
 }

 RC1IE_bit = 1;
 RC1IF_bit = 0;
 PEIE_bit = 1;
 GIE_bit = 1;
}

void Read_Internal_RTCC() {

 RTCCFG = 0x03;
 year = RTCVALL;
 RTCCFG = 0x02;
 day = RTCVALL;
 month = RTCVALH;
 RTCCFG = 0x1;
 hours = RTCVALL;
 weekday = RTCVALH;
 RTCCFG = 0x00;
 seconds = RTCVALL;
 minutes = RTCVALH;

 hours = (((hours & 0x30) >> 4) * 10) + (hours & 0x0F);
 minutes = (((minutes & 0x70) >> 4) * 10) + (minutes & 0x0F);
 seconds = (((seconds & 0x70) >> 4) * 10) + (seconds & 0x0F);
 year = (((year & 0xF0) >> 4) * 10) + (year & 0x0F);
 month = (((month & 0x10) >> 4) * 10) + (month & 0x0F);
 day = (((day & 0x30) >> 4) * 10) + (day & 0x0F);
}
