
_FlashLed:

;UartProgTest.c,72 :: 		void FlashLed() {
;UartProgTest.c,73 :: 		LED_SYS = ~(LED_SYS);
	BTG         LATJ3_bit+0, BitPos(LATJ3_bit+0) 
;UartProgTest.c,74 :: 		Delay01s();
	CALL        _Delay01s+0, 0
;UartProgTest.c,75 :: 		}
L_end_FlashLed:
	RETURN      0
; end of _FlashLed

_interrupt:

;UartProgTest.c,77 :: 		void interrupt() {
;UartProgTest.c,78 :: 		if (RCIF_bit == 1) {
	BTFSS       RCIF_bit+0, BitPos(RCIF_bit+0) 
	GOTO        L_interrupt0
;UartProgTest.c,79 :: 		Txt[I] = UART1_Read();
	MOVF        _I+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _Txt+0
	ADDWF       R0, 0 
	MOVWF       FLOC__interrupt+0 
	MOVLW       hi_addr(_Txt+0)
	ADDWFC      R1, 0 
	MOVWF       FLOC__interrupt+1 
	CALL        _UART1_Read+0, 0
	MOVFF       FLOC__interrupt+0, FSR1L+0
	MOVFF       FLOC__interrupt+1, FSR1H+0
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVLW       0
	MOVWF       POSTINC1+0 
;UartProgTest.c,80 :: 		I++;
	INCF        _I+0, 1 
;UartProgTest.c,82 :: 		if (I == 14) {
	MOVF        _I+0, 0 
	XORLW       14
	BTFSS       STATUS+0, 2 
	GOTO        L_interrupt1
;UartProgTest.c,83 :: 		I = 0;
	CLRF        _I+0 
;UartProgTest.c,84 :: 		Ready = 1;
	MOVLW       1
	MOVWF       _Ready+0 
;UartProgTest.c,85 :: 		}
L_interrupt1:
;UartProgTest.c,87 :: 		RCIF_bit = 0;
	BCF         RCIF_bit+0, BitPos(RCIF_bit+0) 
;UartProgTest.c,88 :: 		}
L_interrupt0:
;UartProgTest.c,89 :: 		}
L_end_interrupt:
L__interrupt18:
	RETFIE      1
; end of _interrupt

_Zero_Fill:

;UartProgTest.c,91 :: 		void Zero_Fill(char *value) {
;UartProgTest.c,92 :: 		if (value[1] == 0) {
	MOVLW       1
	ADDWF       FARG_Zero_Fill_value+0, 0 
	MOVWF       FSR0L+0 
	MOVLW       0
	ADDWFC      FARG_Zero_Fill_value+1, 0 
	MOVWF       FSR0L+1 
	MOVF        POSTINC0+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_Zero_Fill2
;UartProgTest.c,93 :: 		value[1] = value[0];
	MOVLW       1
	ADDWF       FARG_Zero_Fill_value+0, 0 
	MOVWF       FSR1L+0 
	MOVLW       0
	ADDWFC      FARG_Zero_Fill_value+1, 0 
	MOVWF       FSR1L+1 
	MOVFF       FARG_Zero_Fill_value+0, FSR0L+0
	MOVFF       FARG_Zero_Fill_value+1, FSR0H+0
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;UartProgTest.c,94 :: 		value[0] = 48;
	MOVFF       FARG_Zero_Fill_value+0, FSR1L+0
	MOVFF       FARG_Zero_Fill_value+1, FSR1H+0
	MOVLW       48
	MOVWF       POSTINC1+0 
;UartProgTest.c,95 :: 		value[2] = 0;
	MOVLW       2
	ADDWF       FARG_Zero_Fill_value+0, 0 
	MOVWF       FSR1L+0 
	MOVLW       0
	ADDWFC      FARG_Zero_Fill_value+1, 0 
	MOVWF       FSR1L+1 
	CLRF        POSTINC1+0 
;UartProgTest.c,96 :: 		}
L_Zero_Fill2:
;UartProgTest.c,97 :: 		}
L_end_Zero_Fill:
	RETURN      0
; end of _Zero_Fill

_VisualTime:

;UartProgTest.c,99 :: 		void VisualTime() {
;UartProgTest.c,100 :: 		ByteToStr(hours,TXT0);
	MOVF        _hours+0, 0 
	MOVWF       FARG_ByteToStr_input+0 
	MOVLW       _TXT0+0
	MOVWF       FARG_ByteToStr_output+0 
	MOVLW       hi_addr(_TXT0+0)
	MOVWF       FARG_ByteToStr_output+1 
	CALL        _ByteToStr+0, 0
;UartProgTest.c,101 :: 		Ltrim(TXT0);
	MOVLW       _TXT0+0
	MOVWF       FARG_Ltrim_string+0 
	MOVLW       hi_addr(_TXT0+0)
	MOVWF       FARG_Ltrim_string+1 
	CALL        _Ltrim+0, 0
;UartProgTest.c,102 :: 		Zero_Fill(TXT0);
	MOVLW       _TXT0+0
	MOVWF       FARG_Zero_Fill_value+0 
	MOVLW       hi_addr(_TXT0+0)
	MOVWF       FARG_Zero_Fill_value+1 
	CALL        _Zero_Fill+0, 0
;UartProgTest.c,104 :: 		ByteToStr(minutes,TXT1);
	MOVF        _minutes+0, 0 
	MOVWF       FARG_ByteToStr_input+0 
	MOVLW       _TXT1+0
	MOVWF       FARG_ByteToStr_output+0 
	MOVLW       hi_addr(_TXT1+0)
	MOVWF       FARG_ByteToStr_output+1 
	CALL        _ByteToStr+0, 0
;UartProgTest.c,105 :: 		Ltrim(TXT1);
	MOVLW       _TXT1+0
	MOVWF       FARG_Ltrim_string+0 
	MOVLW       hi_addr(_TXT1+0)
	MOVWF       FARG_Ltrim_string+1 
	CALL        _Ltrim+0, 0
;UartProgTest.c,106 :: 		Zero_Fill(TXT1);
	MOVLW       _TXT1+0
	MOVWF       FARG_Zero_Fill_value+0 
	MOVLW       hi_addr(_TXT1+0)
	MOVWF       FARG_Zero_Fill_value+1 
	CALL        _Zero_Fill+0, 0
;UartProgTest.c,108 :: 		ByteToStr(seconds,TXT2);
	MOVF        _seconds+0, 0 
	MOVWF       FARG_ByteToStr_input+0 
	MOVLW       _TXT2+0
	MOVWF       FARG_ByteToStr_output+0 
	MOVLW       hi_addr(_TXT2+0)
	MOVWF       FARG_ByteToStr_output+1 
	CALL        _ByteToStr+0, 0
;UartProgTest.c,109 :: 		Ltrim(TXT2);
	MOVLW       _TXT2+0
	MOVWF       FARG_Ltrim_string+0 
	MOVLW       hi_addr(_TXT2+0)
	MOVWF       FARG_Ltrim_string+1 
	CALL        _Ltrim+0, 0
;UartProgTest.c,110 :: 		Zero_Fill(TXT2);
	MOVLW       _TXT2+0
	MOVWF       FARG_Zero_Fill_value+0 
	MOVLW       hi_addr(_TXT2+0)
	MOVWF       FARG_Zero_Fill_value+1 
	CALL        _Zero_Fill+0, 0
;UartProgTest.c,112 :: 		ByteToStr(Day,TXT3);
	MOVF        _day+0, 0 
	MOVWF       FARG_ByteToStr_input+0 
	MOVLW       _TXT3+0
	MOVWF       FARG_ByteToStr_output+0 
	MOVLW       hi_addr(_TXT3+0)
	MOVWF       FARG_ByteToStr_output+1 
	CALL        _ByteToStr+0, 0
;UartProgTest.c,113 :: 		Ltrim(TXT3);
	MOVLW       _TXT3+0
	MOVWF       FARG_Ltrim_string+0 
	MOVLW       hi_addr(_TXT3+0)
	MOVWF       FARG_Ltrim_string+1 
	CALL        _Ltrim+0, 0
;UartProgTest.c,114 :: 		Zero_Fill(TXT3);
	MOVLW       _TXT3+0
	MOVWF       FARG_Zero_Fill_value+0 
	MOVLW       hi_addr(_TXT3+0)
	MOVWF       FARG_Zero_Fill_value+1 
	CALL        _Zero_Fill+0, 0
;UartProgTest.c,116 :: 		ByteToStr(Month,TXT4);
	MOVF        _month+0, 0 
	MOVWF       FARG_ByteToStr_input+0 
	MOVLW       _TXT4+0
	MOVWF       FARG_ByteToStr_output+0 
	MOVLW       hi_addr(_TXT4+0)
	MOVWF       FARG_ByteToStr_output+1 
	CALL        _ByteToStr+0, 0
;UartProgTest.c,117 :: 		Ltrim(TXT4);
	MOVLW       _TXT4+0
	MOVWF       FARG_Ltrim_string+0 
	MOVLW       hi_addr(_TXT4+0)
	MOVWF       FARG_Ltrim_string+1 
	CALL        _Ltrim+0, 0
;UartProgTest.c,118 :: 		Zero_Fill(TXT4);
	MOVLW       _TXT4+0
	MOVWF       FARG_Zero_Fill_value+0 
	MOVLW       hi_addr(_TXT4+0)
	MOVWF       FARG_Zero_Fill_value+1 
	CALL        _Zero_Fill+0, 0
;UartProgTest.c,120 :: 		ByteToStr(Year,TXT5);
	MOVF        _year+0, 0 
	MOVWF       FARG_ByteToStr_input+0 
	MOVLW       _TXT5+0
	MOVWF       FARG_ByteToStr_output+0 
	MOVLW       hi_addr(_TXT5+0)
	MOVWF       FARG_ByteToStr_output+1 
	CALL        _ByteToStr+0, 0
;UartProgTest.c,121 :: 		Ltrim(TXT5);
	MOVLW       _TXT5+0
	MOVWF       FARG_Ltrim_string+0 
	MOVLW       hi_addr(_TXT5+0)
	MOVWF       FARG_Ltrim_string+1 
	CALL        _Ltrim+0, 0
;UartProgTest.c,122 :: 		Zero_Fill(TXT5);
	MOVLW       _TXT5+0
	MOVWF       FARG_Zero_Fill_value+0 
	MOVLW       hi_addr(_TXT5+0)
	MOVWF       FARG_Zero_Fill_value+1 
	CALL        _Zero_Fill+0, 0
;UartProgTest.c,124 :: 		Glcd_Write_Text(TXT0,0,2,1);
	MOVLW       _TXT0+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_TXT0+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	CLRF        FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       2
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;UartProgTest.c,125 :: 		Glcd_Write_Text(":",12,2,1);
	MOVLW       ?lstr1_UartProgTest+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?lstr1_UartProgTest+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       12
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       2
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;UartProgTest.c,126 :: 		Glcd_Write_Text(TXT1,19,2,1);
	MOVLW       _TXT1+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_TXT1+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       19
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       2
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;UartProgTest.c,127 :: 		Glcd_Write_Text(":",32,2,1);
	MOVLW       ?lstr2_UartProgTest+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?lstr2_UartProgTest+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       32
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       2
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;UartProgTest.c,128 :: 		Glcd_Write_Text(TXT2,38,2,1);
	MOVLW       _TXT2+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_TXT2+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       38
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       2
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;UartProgTest.c,130 :: 		Glcd_Write_Text(TXT3,0,3,1);
	MOVLW       _TXT3+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_TXT3+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	CLRF        FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;UartProgTest.c,131 :: 		Glcd_Write_Text("/",12,3,1);
	MOVLW       ?lstr3_UartProgTest+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?lstr3_UartProgTest+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       12
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;UartProgTest.c,132 :: 		Glcd_Write_Text(TXT4,19,3,1);
	MOVLW       _TXT4+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_TXT4+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       19
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;UartProgTest.c,133 :: 		Glcd_Write_Text("/",32,3,1);
	MOVLW       ?lstr4_UartProgTest+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?lstr4_UartProgTest+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       32
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;UartProgTest.c,134 :: 		Glcd_Write_Text(TXT5,38,3,1);
	MOVLW       _TXT5+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_TXT5+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       38
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;UartProgTest.c,136 :: 		switch (weekday) {
	GOTO        L_VisualTime3
;UartProgTest.c,137 :: 		case 0:
L_VisualTime5:
;UartProgTest.c,138 :: 		TXT6 = "Sunday";
	MOVLW       ?lstr5_UartProgTest+0
	MOVWF       _TXT6+0 
	MOVLW       hi_addr(?lstr5_UartProgTest+0)
	MOVWF       _TXT6+1 
;UartProgTest.c,139 :: 		break;
	GOTO        L_VisualTime4
;UartProgTest.c,141 :: 		case 1:
L_VisualTime6:
;UartProgTest.c,142 :: 		TXT6 = "Monday";
	MOVLW       ?lstr6_UartProgTest+0
	MOVWF       _TXT6+0 
	MOVLW       hi_addr(?lstr6_UartProgTest+0)
	MOVWF       _TXT6+1 
;UartProgTest.c,143 :: 		break;
	GOTO        L_VisualTime4
;UartProgTest.c,145 :: 		case 2:
L_VisualTime7:
;UartProgTest.c,146 :: 		TXT6 = "Tuesday";
	MOVLW       ?lstr7_UartProgTest+0
	MOVWF       _TXT6+0 
	MOVLW       hi_addr(?lstr7_UartProgTest+0)
	MOVWF       _TXT6+1 
;UartProgTest.c,147 :: 		break;
	GOTO        L_VisualTime4
;UartProgTest.c,149 :: 		case 3:
L_VisualTime8:
;UartProgTest.c,150 :: 		TXT6 = "Wednesday";
	MOVLW       ?lstr8_UartProgTest+0
	MOVWF       _TXT6+0 
	MOVLW       hi_addr(?lstr8_UartProgTest+0)
	MOVWF       _TXT6+1 
;UartProgTest.c,151 :: 		break;
	GOTO        L_VisualTime4
;UartProgTest.c,153 :: 		case 4:
L_VisualTime9:
;UartProgTest.c,154 :: 		TXT6 = "Thursday";
	MOVLW       ?lstr9_UartProgTest+0
	MOVWF       _TXT6+0 
	MOVLW       hi_addr(?lstr9_UartProgTest+0)
	MOVWF       _TXT6+1 
;UartProgTest.c,155 :: 		break;
	GOTO        L_VisualTime4
;UartProgTest.c,157 :: 		case 5:
L_VisualTime10:
;UartProgTest.c,158 :: 		TXT6 = "Friday";
	MOVLW       ?lstr10_UartProgTest+0
	MOVWF       _TXT6+0 
	MOVLW       hi_addr(?lstr10_UartProgTest+0)
	MOVWF       _TXT6+1 
;UartProgTest.c,159 :: 		break;
	GOTO        L_VisualTime4
;UartProgTest.c,161 :: 		case 6:
L_VisualTime11:
;UartProgTest.c,162 :: 		TXT6 = "Saturday";
	MOVLW       ?lstr11_UartProgTest+0
	MOVWF       _TXT6+0 
	MOVLW       hi_addr(?lstr11_UartProgTest+0)
	MOVWF       _TXT6+1 
;UartProgTest.c,163 :: 		break;
	GOTO        L_VisualTime4
;UartProgTest.c,164 :: 		}
L_VisualTime3:
	MOVLW       0
	XORWF       _weekday+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__VisualTime21
	MOVLW       0
	XORWF       _weekday+0, 0 
L__VisualTime21:
	BTFSC       STATUS+0, 2 
	GOTO        L_VisualTime5
	MOVLW       0
	XORWF       _weekday+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__VisualTime22
	MOVLW       1
	XORWF       _weekday+0, 0 
L__VisualTime22:
	BTFSC       STATUS+0, 2 
	GOTO        L_VisualTime6
	MOVLW       0
	XORWF       _weekday+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__VisualTime23
	MOVLW       2
	XORWF       _weekday+0, 0 
L__VisualTime23:
	BTFSC       STATUS+0, 2 
	GOTO        L_VisualTime7
	MOVLW       0
	XORWF       _weekday+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__VisualTime24
	MOVLW       3
	XORWF       _weekday+0, 0 
L__VisualTime24:
	BTFSC       STATUS+0, 2 
	GOTO        L_VisualTime8
	MOVLW       0
	XORWF       _weekday+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__VisualTime25
	MOVLW       4
	XORWF       _weekday+0, 0 
L__VisualTime25:
	BTFSC       STATUS+0, 2 
	GOTO        L_VisualTime9
	MOVLW       0
	XORWF       _weekday+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__VisualTime26
	MOVLW       5
	XORWF       _weekday+0, 0 
L__VisualTime26:
	BTFSC       STATUS+0, 2 
	GOTO        L_VisualTime10
	MOVLW       0
	XORWF       _weekday+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__VisualTime27
	MOVLW       6
	XORWF       _weekday+0, 0 
L__VisualTime27:
	BTFSC       STATUS+0, 2 
	GOTO        L_VisualTime11
L_VisualTime4:
;UartProgTest.c,166 :: 		Glcd_Write_Text(TXT6,0,4,1);
	MOVF        _TXT6+0, 0 
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVF        _TXT6+1, 0 
	MOVWF       FARG_Glcd_Write_Text_text+1 
	CLRF        FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       4
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;UartProgTest.c,167 :: 		}
L_end_VisualTime:
	RETURN      0
; end of _VisualTime

_main:

;UartProgTest.c,169 :: 		void main() {
;UartProgTest.c,170 :: 		ANCON0 = 0;
	CLRF        ANCON0+0 
;UartProgTest.c,171 :: 		ANCON1 = 0;
	CLRF        ANCON1+0 
;UartProgTest.c,172 :: 		ANCON2 = 0;
	CLRF        ANCON2+0 
;UartProgTest.c,173 :: 		CM1CON = 0;
	CLRF        CM1CON+0 
;UartProgTest.c,174 :: 		CM2CON = 0;
	CLRF        CM2CON+0 
;UartProgTest.c,175 :: 		CM3CON = 0;
	CLRF        CM3CON+0 
;UartProgTest.c,176 :: 		LED_SYS_Direction = 0;
	BCF         TRISJ3_bit+0, BitPos(TRISJ3_bit+0) 
;UartProgTest.c,177 :: 		LED1_UART_Direction = 0;
	BCF         TRISJ2_bit+0, BitPos(TRISJ2_bit+0) 
;UartProgTest.c,178 :: 		LED2_UART_Direction = 0;
	BCF         TRISJ1_bit+0, BitPos(TRISJ1_bit+0) 
;UartProgTest.c,180 :: 		LED1_UART = 0;
	BCF         LATJ2_bit+0, BitPos(LATJ2_bit+0) 
;UartProgTest.c,181 :: 		LED2_UART = 0;
	BCF         LATJ1_bit+0, BitPos(LATJ1_bit+0) 
;UartProgTest.c,182 :: 		LED_SYS = 0;
	BCF         LATJ3_bit+0, BitPos(LATJ3_bit+0) 
;UartProgTest.c,186 :: 		Glcd_Init();
	CALL        _Glcd_Init+0, 0
;UartProgTest.c,187 :: 		Glcd_Fill(0x00);
	CLRF        FARG_Glcd_Fill_pattern+0 
	CALL        _Glcd_Fill+0, 0
;UartProgTest.c,188 :: 		Glcd_Write_Text("18F87K22-INSIDE-RTCC:",0,0,1);
	MOVLW       ?lstr12_UartProgTest+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?lstr12_UartProgTest+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	CLRF        FARG_Glcd_Write_Text_x_pos+0 
	CLRF        FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;UartProgTest.c,189 :: 		Glcd_H_Line(0,127,11,1);
	CLRF        FARG_Glcd_H_Line_x_start+0 
	MOVLW       127
	MOVWF       FARG_Glcd_H_Line_x_end+0 
	MOVLW       11
	MOVWF       FARG_Glcd_H_Line_y_pos+0 
	MOVLW       1
	MOVWF       FARG_Glcd_H_Line_color+0 
	CALL        _Glcd_H_Line+0, 0
;UartProgTest.c,190 :: 		Glcd_H_Line(0,127,45,1);
	CLRF        FARG_Glcd_H_Line_x_start+0 
	MOVLW       127
	MOVWF       FARG_Glcd_H_Line_x_end+0 
	MOVLW       45
	MOVWF       FARG_Glcd_H_Line_y_pos+0 
	MOVLW       1
	MOVWF       FARG_Glcd_H_Line_color+0 
	CALL        _Glcd_H_Line+0, 0
;UartProgTest.c,191 :: 		Glcd_Write_Text("www.teolab.it",20,6,1);
	MOVLW       ?lstr13_UartProgTest+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?lstr13_UartProgTest+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       20
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       6
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;UartProgTest.c,193 :: 		UART1_Init(9600);
	MOVLW       103
	MOVWF       SPBRG+0 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
;UartProgTest.c,194 :: 		Delay01s();
	CALL        _Delay01s+0, 0
;UartProgTest.c,195 :: 		I = 0;
	CLRF        _I+0 
;UartProgTest.c,197 :: 		RC1IE_bit = 1;
	BSF         RC1IE_bit+0, BitPos(RC1IE_bit+0) 
;UartProgTest.c,198 :: 		RC1IF_bit = 0;
	BCF         RC1IF_bit+0, BitPos(RC1IF_bit+0) 
;UartProgTest.c,199 :: 		PEIE_bit  = 1;
	BSF         PEIE_bit+0, BitPos(PEIE_bit+0) 
;UartProgTest.c,200 :: 		GIE_bit   = 1;
	BSF         GIE_bit+0, BitPos(GIE_bit+0) 
;UartProgTest.c,202 :: 		while (1) {
L_main12:
;UartProgTest.c,203 :: 		FlashLed();
	CALL        _FlashLed+0, 0
;UartProgTest.c,204 :: 		Read_Internal_RTCC();
	CALL        _Read_Internal_RTCC+0, 0
;UartProgTest.c,205 :: 		VisualTime();
	CALL        _VisualTime+0, 0
;UartProgTest.c,207 :: 		if (Ready == 1) {
	MOVF        _Ready+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_main14
;UartProgTest.c,208 :: 		UART1_Write(Txt[0]);
	MOVF        _Txt+0, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;UartProgTest.c,209 :: 		UART1_Write(Txt[1]);
	MOVF        _Txt+2, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;UartProgTest.c,210 :: 		UART1_Write(Txt[2]);
	MOVF        _Txt+4, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;UartProgTest.c,211 :: 		UART1_Write(Txt[3]);
	MOVF        _Txt+6, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;UartProgTest.c,212 :: 		UART1_Write(Txt[4]);
	MOVF        _Txt+8, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;UartProgTest.c,213 :: 		UART1_Write(Txt[5]);
	MOVF        _Txt+10, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;UartProgTest.c,214 :: 		UART1_Write(Txt[6]);
	MOVF        _Txt+12, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;UartProgTest.c,216 :: 		UART1_Write(Txt[7]);
	MOVF        _Txt+14, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;UartProgTest.c,217 :: 		UART1_Write(Txt[8]);
	MOVF        _Txt+16, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;UartProgTest.c,218 :: 		UART1_Write(Txt[9]);
	MOVF        _Txt+18, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;UartProgTest.c,219 :: 		UART1_Write(Txt[10]);
	MOVF        _Txt+20, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;UartProgTest.c,220 :: 		UART1_Write(Txt[11]);
	MOVF        _Txt+22, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;UartProgTest.c,221 :: 		UART1_Write(Txt[12]);
	MOVF        _Txt+24, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;UartProgTest.c,222 :: 		UART1_Write(Txt[13]);
	MOVF        _Txt+26, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;UartProgTest.c,224 :: 		if (Txt[0] == 'H') {
	MOVLW       0
	XORWF       _Txt+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main29
	MOVLW       72
	XORWF       _Txt+0, 0 
L__main29:
	BTFSS       STATUS+0, 2 
	GOTO        L_main15
;UartProgTest.c,225 :: 		LED1_UART = 1;
	BSF         LATJ2_bit+0, BitPos(LATJ2_bit+0) 
;UartProgTest.c,226 :: 		Delay01s();
	CALL        _Delay01s+0, 0
;UartProgTest.c,227 :: 		LED1_UART = 0;
	BCF         LATJ2_bit+0, BitPos(LATJ2_bit+0) 
;UartProgTest.c,229 :: 		TempTime = ((Txt[1] - 48) * 10) + (Txt[2] - 48);
	MOVLW       48
	SUBWF       _Txt+2, 0 
	MOVWF       R0 
	MOVLW       10
	MULWF       R0 
	MOVF        PRODL+0, 0 
	MOVWF       R1 
	MOVLW       48
	SUBWF       _Txt+4, 0 
	MOVWF       R0 
	MOVF        R1, 0 
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       _TempTime+0 
;UartProgTest.c,230 :: 		SetHr = dec2bcd(TempTime);
	MOVF        R0, 0 
	MOVWF       FARG_Dec2Bcd_decnum+0 
	CALL        _Dec2Bcd+0, 0
	MOVF        R0, 0 
	MOVWF       _SetHr+0 
;UartProgTest.c,232 :: 		TempTime = ((Txt[3] - 48) * 10) + (Txt[4] - 48);
	MOVLW       48
	SUBWF       _Txt+6, 0 
	MOVWF       R0 
	MOVLW       10
	MULWF       R0 
	MOVF        PRODL+0, 0 
	MOVWF       R1 
	MOVLW       48
	SUBWF       _Txt+8, 0 
	MOVWF       R0 
	MOVF        R1, 0 
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       _TempTime+0 
;UartProgTest.c,233 :: 		SetMin = dec2bcd(TempTime);
	MOVF        R0, 0 
	MOVWF       FARG_Dec2Bcd_decnum+0 
	CALL        _Dec2Bcd+0, 0
	MOVF        R0, 0 
	MOVWF       _SetMin+0 
;UartProgTest.c,235 :: 		TempTime = ((Txt[5] - 48) * 10) + (Txt[6] - 48);
	MOVLW       48
	SUBWF       _Txt+10, 0 
	MOVWF       R0 
	MOVLW       10
	MULWF       R0 
	MOVF        PRODL+0, 0 
	MOVWF       R1 
	MOVLW       48
	SUBWF       _Txt+12, 0 
	MOVWF       R0 
	MOVF        R1, 0 
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       _TempTime+0 
;UartProgTest.c,236 :: 		SetSec = dec2bcd(TempTime);
	MOVF        R0, 0 
	MOVWF       FARG_Dec2Bcd_decnum+0 
	CALL        _Dec2Bcd+0, 0
	MOVF        R0, 0 
	MOVWF       _SetSec+0 
;UartProgTest.c,238 :: 		TempTime = (Txt[7] - 48);
	MOVLW       48
	SUBWF       _Txt+14, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       _TempTime+0 
;UartProgTest.c,239 :: 		SetWeek = dec2bcd(TempTime);
	MOVF        R0, 0 
	MOVWF       FARG_Dec2Bcd_decnum+0 
	CALL        _Dec2Bcd+0, 0
	MOVF        R0, 0 
	MOVWF       _SetWeek+0 
;UartProgTest.c,241 :: 		TempTime = ((Txt[8] - 48) * 10) + (Txt[9] - 48);
	MOVLW       48
	SUBWF       _Txt+16, 0 
	MOVWF       R0 
	MOVLW       10
	MULWF       R0 
	MOVF        PRODL+0, 0 
	MOVWF       R1 
	MOVLW       48
	SUBWF       _Txt+18, 0 
	MOVWF       R0 
	MOVF        R1, 0 
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       _TempTime+0 
;UartProgTest.c,242 :: 		SetDay = dec2bcd(TempTime);
	MOVF        R0, 0 
	MOVWF       FARG_Dec2Bcd_decnum+0 
	CALL        _Dec2Bcd+0, 0
	MOVF        R0, 0 
	MOVWF       _SetDay+0 
;UartProgTest.c,244 :: 		TempTime = ((Txt[10] - 48) * 10) + (Txt[11] - 48);
	MOVLW       48
	SUBWF       _Txt+20, 0 
	MOVWF       R0 
	MOVLW       10
	MULWF       R0 
	MOVF        PRODL+0, 0 
	MOVWF       R1 
	MOVLW       48
	SUBWF       _Txt+22, 0 
	MOVWF       R0 
	MOVF        R1, 0 
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       _TempTime+0 
;UartProgTest.c,245 :: 		SetMn = dec2bcd(TempTime);
	MOVF        R0, 0 
	MOVWF       FARG_Dec2Bcd_decnum+0 
	CALL        _Dec2Bcd+0, 0
	MOVF        R0, 0 
	MOVWF       _SetMn+0 
;UartProgTest.c,247 :: 		TempTime = ((Txt[12] - 48) * 10) + (Txt[13] - 48);
	MOVLW       48
	SUBWF       _Txt+24, 0 
	MOVWF       R0 
	MOVLW       10
	MULWF       R0 
	MOVF        PRODL+0, 0 
	MOVWF       R1 
	MOVLW       48
	SUBWF       _Txt+26, 0 
	MOVWF       R0 
	MOVF        R1, 0 
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       _TempTime+0 
;UartProgTest.c,248 :: 		SetYear = dec2bcd(TempTime);
	MOVF        R0, 0 
	MOVWF       FARG_Dec2Bcd_decnum+0 
	CALL        _Dec2Bcd+0, 0
	MOVF        R0, 0 
	MOVWF       _SetYear+0 
;UartProgTest.c,250 :: 		RTCC_Program();
	CALL        _RTCC_Program+0, 0
;UartProgTest.c,251 :: 		}
L_main15:
;UartProgTest.c,253 :: 		Ready = 0;
	CLRF        _Ready+0 
;UartProgTest.c,254 :: 		}
L_main14:
;UartProgTest.c,255 :: 		}
	GOTO        L_main12
;UartProgTest.c,256 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
